package domain


type AlibabaWdkOrderRefundGetOrderSyncRefundChannel struct {
    /*
        退款金额     */
    RefundAmount  *int64 `json:"refund_amount,omitempty" `

    /*
        退款渠道     */
    RefundChannel  *int64 `json:"refund_channel,omitempty" `

    /*
        退款单id     */
    RefundOrderId  *int64 `json:"refund_order_id,omitempty" `

}

func (s *AlibabaWdkOrderRefundGetOrderSyncRefundChannel) SetRefundAmount(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundChannel {
    s.RefundAmount = &v
    return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundChannel) SetRefundChannel(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundChannel {
    s.RefundChannel = &v
    return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundChannel) SetRefundOrderId(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundChannel {
    s.RefundOrderId = &v
    return s
}
